VST 3 Interfaces VST 3.7 SDK for developing VST plug-in

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Enumerations
Steinberg::Vst::LayerType Namespace Reference

Layer Types used in a VST XML Representation. More...

## Enumerations
enum | { kKnob = 0, kPressedKnob, kSwitchKnob, kSwitch, kLED, kLink, kDisplay, kFader, kEndOfLayerType }

## Detailed Description

Layer Types used in a VST XML Representation.

## Enumeration Type Documentation

anonymous enum

Enumerator
kKnob | a knob (encoder or not)
kPressedKnob | a knob which is used by pressing and turning
kSwitchKnob | knob could be pressed to simulate a switch
kSwitch | a "on/off" button
kLED | LED like VU-meter or display around a knob.
kLink | indicates that this layer is a folder linked to an another INode (page)
kDisplay | only for text display (not really a control)
kFader | a fader
kEndOfLayerType |

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.